Updates a contract with the provided fields. Only the fields provided in the request body will be updated.
API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key
The unique identifier (UUID) of the contract
"550e8400-e29b-41d4-a716-446655440000"
The name or title of the contract.
"Service Agreement - Acme Corp"
The status of the contract.
draft: The contract is being created or edited.negotiating: The contract is being reviewed with counterparties.canceled: The contract has been canceled.draft, negotiating, signing, signed, canceled "draft"
ID of the folder to move the contract to.
"550e8400-e29b-41d4-a716-446655440005"
Counterparty for the contract. Can reference an existing counterparty by ID or update with a new name.
{ "name": "Acme Corporation" }The date when the contract was signed.
"2024-06-01T00:00:00.000Z"
List of internal and external signatories for the contract
{
"internalSignatoryMemberIds": ["mem_550e8400-e29b-41d4-a716-446655440004"],
"externalSignatoryEmailList": ["signatory@example.com"]
}Field values to set on the contract. Use field IDs and values (option labels for select fields).
[
{
"fieldId": "550e8400-e29b-41d4-a716-446655440008",
"value": "Technology"
}
]List of members to add to the contract
["550e8400-e29b-41d4-a716-446655440004"]Integration parameters. When provided, field values will be resolved using integration-specific option mappings.
{ "type": "salesforce" }Contract updated successfully
Unique identifier for the contract.
"ctr_550e8400-e29b-41d4-a716-446655440000"
The name or title of the contract.
"Service Agreement - Acme Corp"
The current status of the contract.
draft: The contract is being created or edited.negotiating: The contract is being reviewed with counterparties.signing: The contract is in the signature process.signed: All parties have signed the contract.canceled: The contract has been canceled."draft"
The counterparty associated with this contract.
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Acme Corporation"
}The type of the contract, it is composed of many templates.
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Service Agreement"
}The template used to create this contract.
"550e8400-e29b-41d4-a716-446655440003"
The member who created this contract.
{
"id": "550e8400-e29b-41d4-a716-446655440004",
"email": "john.doe@example.com"
}The fields associated with this contract.
[
{
"attributeDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Department",
"value": "John Doe"
}
]The signatories associated with this contract.
[
{
"id": "sig_550e8400-e29b-41d4-a716-446655440005",
"name": "John Doe",
"email": "john.doe@example.com",
"type": "member"
}
]Time at which the contract was created. Formatted as an ISO 8601 date-time string.
"2024-01-15T10:30:00.000Z"
The list of participants with this contract.
[
{
"id": "550e8400-e29b-41d4-a716-446655440004",
"email": "john.doe@example.com"
}
]